## python-instagram 1.3.2%2Bgit20160108~dfeebe9

=== debian/changelog ===
python-instagram (1.3.2+git20160108~dfeebe9-4) unstable; urgency=medium

  [ Ross Gammon ]
  * Add myself to uploaders

  [ Petter Reinholdtsen ]
  * Drop Jörg as maintainer.  Thank you for your great work.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Jan 2016 07:29:55 +0000

python-instagram (1.3.2+git20160108~dfeebe9-3) unstable; urgency=medium

  * Add missing build dependency on python-six and python3-six.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Jan 2016 23:17:40 +0000

python-instagram (1.3.2+git20160108~dfeebe9-2) unstable; urgency=medium

  * Change copyright holder from Instagram, Inc to Facebook, Inc. on
    request from the Debian ftpmasters.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jan 2016 13:20:13 +0000

python-instagram (1.3.2+git20160108~dfeebe9-1) unstable; urgency=medium

  * Initial release (Closes: #769928).

  [ Jörg Frings-Fürst ]
  * Added Debian packaging.

  [ Petter Reinholdtsen ]
  * Updated to the latest version from github.
  * Change watch file to track upstream version using pypi.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Jan 2016 10:28:30 +0100
