## python-instagram 1.3.2+git20160108~dfeebe9

=== requirements.txt ===
bottle==0.12.7
httplib2==0.9
python-instagram==1.1.3
redis==2.10.3
simplejson==3.6.3
beaker==1.6.4
six==1.8.0
