=== debian/control ===
Source: python-instagram
Section: python
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Build-Depends: 
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-httplib2,
 python3-six,
 python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/Instagram/python-instagram
Vcs-Git: git://anonscm.debian.org/collab-maint/python-instagram.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-instagram.git

Package: python3-instagram
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3
Description: Python 3 client for the Instagram REST and Search APIs
 Python-instagram contains the Python bindings to access the Instagram
 REST and Search API.
 .
 This package provides the Python 3.x module.
